Subject: Re: linux-next: manual merge of the kvm tree with the loongarch tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 17 May 2024 09:42:19 +1000

Hi all,

On Wed, 15 May 2024 12:54:04 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the kvm tree got a conflict in:
> 
>   arch/loongarch/kernel/irq.c
> 
> between commit:
> 
>   5685d7fcb55f ("LoongArch: Give a chance to build with !CONFIG_SMP")
> 
> from the loongarch tree and commit:
> 
>   316863cb62fe ("LoongArch/smp: Refine some ipi functions on LoongArch platform")
> 
> from the kvm tree.
> 
> I fixed it up (the latter removed a function that was made protected by
> CONFIG_SMP in the former - I just removed it) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

This is now a conflict between the loongarch tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell